%define base_name	kwin-style
%define theme_name	activeheart
%define name		%{base_name}-%{theme_name}
%define version		1.1
%define release %mkrel 7
%define summary		Activeheart kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPLv2+
Group:			Graphical desktop/KDE
Source:			kwin-%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=11460
Patch0:			kwin-style-activeheart-add_autoconf26.diff
BuildRequires:		kdebase-devel
BuildRequires:          automake
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
This is Kwin client for "Active Heart" style.
This windeco was created based on keramik.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kwin-%{theme_name}-%{version}
%patch0 -p1

%build
make -f admin/Makefile.common cvs
%configure2_5x
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop



%changelog
* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 1.1-7mdv2009.0
+ Revision: 195813
- rebuild for new era

  + Thierry Vignaud <tvignaud@mandriva.com>
    - we do not have automake-1.6 anymore
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-6mdk
- Fix BuildRequires

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-5mdk
- Remove redundant BuildRequires
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-4mdk
- Rebuild

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-3mdk
- Rebuild

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Rebuild

* Sun May 02 2004 Laurent Culioli <laurent@mandrake.org> 1.1-1mdk
- 1.1

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 1.0.2-1mdk
- new kwin theme for kde

